> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nrai.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Project



## OpenAPI

````yaml POST /v1/projects
openapi: 3.0.3
info:
  title: NRAI Documentation
  version: 0.0.0
servers:
  - url: https://cloud.nrai.io/api
    description: Production Server
security: []
externalDocs:
  url: https://nrai.io/docs
  description: Find more info here
paths:
  /v1/projects:
    post:
      tags:
        - projects
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                displayName:
                  pattern: ^[^./]+$
                  type: string
                externalId:
                  type: string
                  nullable: true
                metadata:
                  type: object
                  nullable: true
                  additionalProperties: {}
              required:
                - displayName
        required: true
      responses:
        '201':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  created:
                    type: string
                  updated:
                    type: string
                  ownerId:
                    type: string
                  displayName:
                    type: string
                  notifyStatus:
                    anyOf:
                      - type: string
                        enum:
                          - NEVER
                      - type: string
                        enum:
                          - ALWAYS
                      - type: string
                        enum:
                          - NEW_ISSUE
                  platformId:
                    pattern: ^[0-9a-zA-Z]{21}$
                    type: string
                  externalId:
                    type: string
                  releasesEnabled:
                    type: boolean
                  metadata:
                    type: object
                    nullable: true
                    additionalProperties: {}
                  usage:
                    type: object
                    properties:
                      tasks:
                        type: number
                      aiCredits:
                        type: number
                      nextLimitResetDate:
                        type: number
                    required:
                      - tasks
                      - aiCredits
                      - nextLimitResetDate
                  plan:
                    type: object
                    properties:
                      id:
                        type: string
                      created:
                        type: string
                      updated:
                        type: string
                      projectId:
                        type: string
                      locked:
                        default: false
                        type: boolean
                      name:
                        type: string
                      piecesFilterType:
                        anyOf:
                          - type: string
                            enum:
                              - NONE
                          - type: string
                            enum:
                              - ALLOWED
                      pieces:
                        type: array
                        items:
                          type: string
                      tasks:
                        type: number
                        nullable: true
                      aiCredits:
                        type: number
                        nullable: true
                    required:
                      - id
                      - created
                      - updated
                      - projectId
                      - locked
                      - name
                      - piecesFilterType
                      - pieces
                  analytics:
                    type: object
                    properties:
                      totalUsers:
                        type: number
                      activeUsers:
                        type: number
                      totalFlows:
                        type: number
                      activeFlows:
                        type: number
                    required:
                      - totalUsers
                      - activeUsers
                      - totalFlows
                      - activeFlows
                required:
                  - id
                  - created
                  - updated
                  - ownerId
                  - displayName
                  - notifyStatus
                  - platformId
                  - releasesEnabled
                  - usage
                  - plan
                  - analytics
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      description: Use your api key generated from the admin console
      scheme: bearer

````